about summary refs log tree commit diff stats
diff options
context:
space:
mode:
-rwxr-xr-xinstall.sh5
-rw-r--r--src/launch.sh9
2 files changed, 12 insertions, 2 deletions
diff --git a/install.sh b/install.sh
index 08e74ee..8c61578 100755
--- a/install.sh
+++ b/install.sh
@@ -14,9 +14,10 @@ set -u
 echo "Installing Project."
 set -x
 mkdir -p $CONFIG_INSTALL_PREFIX
-cp -r ./resources $CONFIG_INSTALL_PREFIX/
-cp -r ./docs $CONFIG_INSTALL_PREFIX/
+cp -r resources $CONFIG_INSTALL_PREFIX/
+cp -r docs $CONFIG_INSTALL_PREFIX/
 install -m755 $CONFIG_BUILD_DIR/bin/Pong* $CONFIG_INSTALL_PREFIX/
+install -m755 src/launch.sh $CONFIG_INSTALL_PREFIX/launch_pong
 
 if [ "$CONFIG_FLATPAK" = "true" ];
 then
diff --git a/src/launch.sh b/src/launch.sh
new file mode 100644
index 0000000..7f8fd82
--- /dev/null
+++ b/src/launch.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+# Launch script for unix systems, loads bundled libraries if there are any.
+
+cd "$(dirname $0)"
+DYLD_LIBRARY_PATH=libs/ LD_LIBARY_PATH=libs/ ./Pong > output.log 2>&1
+if [ ! $? = "0" ];
+then
+	zenity --error --text="The program appears to not have closed correctly. Please check output.log to see details."
+fi